---
title: "tutti.ch API: Search | Perceptlayer"
description: "Search from tutti.ch as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/tutti/search
---

[APIs](https://perceptlayer.com/apis) / [tutti.ch](https://perceptlayer.com/apis/tutti) / Search

# tutti.ch: Search

Search from tutti.ch as JSON. 1 credit per successful call.

GET `/v1/tutti/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `query` | string | Optional | Up to 200 characters |
| `category` | string | Optional | Any |
| `canton` | string | Optional | ZH, BE, LU, UR, SZ, OW, NW, GL, ZG, FR, SO, BS, BL, SH, AR, AI, SG, GR, AG, TG, TI, VD, VS, NE, GE, JU |
| `locality` | string | Optional | Up to 300 characters |
| `price_min` | integer | Optional | Any |
| `price_max` | integer | Optional | Any |
| `direction` | string | Optional | asc, desc |
| `cursor` | string | Optional | Up to 300 characters |
| `language` | string | Optional | de, fr, it |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/tutti/search?query=velo&category=bicycles&canton=BE&price_min=100&price_max=500" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/tutti?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
